cURL
curl --request POST \ --url https://app.robocallz.ai/user/lead \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "phone_number": "<string>", "campaign_id": 123, "variables": { "customer_name": "<string>", "email": "<string>" }, "allow_dupplicate": true } '
{ "message": "Lead created successfully", "data": { "id": 123, "campaign_id": 123, "phone_number": "<string>", "variables": { "customer_name": "<string>", "email": "<string>" }, "status": "created", "created_at": "<string>", "updated_at": "<string>" } }
Create a new lead in the Robocallz system
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The phone number of the lead in E.164 format (e.g. +1234567890)
The ID of the campaign to create the lead for
The variables to pass to the lead
Show child attributes
Whether to allow duplicate leads in a campaign.
Lead created successfully
The message of the response
The lead data object